Dependecies not meet with Gotham nightlybuild and french add-on

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
frarev Offline
Member
Posts: 60
Joined: Nov 2013
Reputation: 0
Post: #1
I'm testing Gotham Nightly Build (26/02/2014) for Windows.

When I'm trying to install this add-on I get the error message : dependencies not meet and I can't use the extension.

But if i install the Gotham version above my frodo version with the extension already set, I can see the add-on in gotham and it works.

So it seems that add-on can work with gotham but not be installed. How can i instal it for a new Gotham setup ?
find quote
frarev Offline
Member
Posts: 60
Joined: Nov 2013
Reputation: 0
Post: #2
The log file : http://xbmclogs.com/show.php?id=139308
find quote
scott967 Offline
Fan
Posts: 635
Joined: Jul 2012
Reputation: 7
Post: #3
I suppose your problem is in the add-on "addon.xml" file here:

Code:
<requires>
    <import addon="xbmc.python" version="1.0"/>
    <import addon="script.module.elementtree" version="1.2.7" />
</requires>

As you can see in your log:
Code:
17:58:00 T:1316   DEBUG: Addon plugin.video.canal.plus requires xbmc.python version 1.0 which is not available

I think Gotham is on python 2.1.0 see here:
http://forum.xbmc.org/showthread.php?tid...pid1527263

scott s.
.
(This post was last modified: 2014-02-27 01:28 by scott967.)
find quote
Kib Offline
Team-Kodi Server Dude
Posts: 3,415
Joined: Jan 2010
Reputation: 54
Location: NL
Post: #4
The add-on author needs to update his add-on

Neon skin - v3.0.8 now available for XBMC 13.x (Gotham)
find quote
frarev Offline
Member
Posts: 60
Joined: Nov 2013
Reputation: 0
Post: #5
According your explanations, I changed by myself the import line : <import addon="xbmc.python" version="1.0"/> with <import addon="xbmc.python" version="2.1.0"/>

Now, the add-on can be installed without error and works.

Thanks.
find quote
Kib Offline
Team-Kodi Server Dude
Posts: 3,415
Joined: Jan 2010
Reputation: 54
Location: NL
Post: #6
If you tell the author, he can submit a new one to the repository so you don't have to do this manually.

Neon skin - v3.0.8 now available for XBMC 13.x (Gotham)
find quote
frarev Offline
Member
Posts: 60
Joined: Nov 2013
Reputation: 0
Post: #7
I've just sent a post on the french add-on repository passion-XBMC : http://passion-xbmc.org/add-ons-video/

Wait and See...
find quote
1jakefa1 Offline
Junior Member
Posts: 3
Joined: Jun 2014
Reputation: 0
Post: #8
Any idea if the plugin worked in Frodo. Changed the line to 2.1.0 (which allowed the script to be installed successfully) but now has an error of script failed?
find quote
uNiversal Offline
Out of Memory
Posts: 5,262
Joined: Oct 2012
Reputation: 132
Location: Binary pulsar
Post: #9
Just a wild guess, changing the python version was a dirty hack and hasn't fixed all the issues in the addon, again, talk to the addon author.
find quote
Kib Offline
Team-Kodi Server Dude
Posts: 3,415
Joined: Jan 2010
Reputation: 54
Location: NL
Post: #10
Passion-xbmc puts stuff in their repo but doesn't listen to author requests, so that does not surprise me.

Neon skin - v3.0.8 now available for XBMC 13.x (Gotham)
find quote